POST
/boards/{board_id}/incidents/{incident_id}/incident_updatesCreate an incident update
Create a new update for an existing incident. This allows you to provide status updates as you work to resolve the incident.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Board public ID
incident_idstringrequired
The public id of the incident to update
detailsstringoptional
Details of the incident update
monitorsarray<object>optional
Array of monitor objects with id and status
notify_subscribersbooleanoptional
Whether to notify subscribers about this update
phasestringrequired
The current phase of the incident. For maintenance, use "in_progress", "verifying", or "completed".
posted_atstringoptional
The time when the update was posted in ISO 8601 format
severitystringrequired
Severity level of the incident update
201incident update resolved sets status to up
dataobjectoptional
successbooleanoptional
401unauthorized
errorsarray<string>optional
successbooleanoptional
404incident not found
errorsarray<string>optional
successbooleanoptional
422invalid monitor status
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 404 is returned: incident not found. A 422 is returned: invalid monitor status.